Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

78 lines (72 sloc) 2.836 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{resque-status}
s.version = "0.1.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Aaron Quint"]
s.date = %q{2010-08-23}
s.description = %q{resque-status is an extension to the resque queue system that provides simple trackable jobs. It provides a Resque::Status class which can set/get the statuses of jobs and a Resque::JobWithStatus class that when subclassed provides easily trackable/killable jobs.}
s.email = %q{aaron@quirkey.com}
s.extra_rdoc_files = [
"LICENSE",
"README.rdoc"
]
s.files = [
".document",
".gitignore",
"LICENSE",
"README.rdoc",
"Rakefile",
"examples/sleep_job.rb",
"init.rb",
"lib/resque/job_with_status.rb",
"lib/resque/server/views/status.erb",
"lib/resque/server/views/status_styles.erb",
"lib/resque/server/views/statuses.erb",
"lib/resque/status.rb",
"lib/resque/status_server.rb",
"resque-status.gemspec",
"test/redis-test.conf",
"test/test_helper.rb",
"test/test_resque-job_with_status.rb",
"test/test_resque-status.rb"
]
s.homepage = %q{http://github.com/quirkey/resque-status}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubyforge_project = %q{quirkey}
s.rubygems_version = %q{1.3.7}
s.summary = %q{resque-status is an extension to the resque queue system that provides simple trackable jobs.}
s.test_files = [
"test/test_helper.rb",
"test/test_resque-job_with_status.rb",
"test/test_resque-status.rb",
"examples/sleep_job.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<uuid>, [">= 2.0.2"])
s.add_runtime_dependency(%q<resque>, [">= 1.3.1"])
s.add_runtime_dependency(%q<redisk>, [">= 0.2.1"])
s.add_development_dependency(%q<shoulda>, [">= 2.10.2"])
s.add_development_dependency(%q<mocha>, [">= 0.9.8"])
else
s.add_dependency(%q<uuid>, [">= 2.0.2"])
s.add_dependency(%q<resque>, [">= 1.3.1"])
s.add_dependency(%q<redisk>, [">= 0.2.1"])
s.add_dependency(%q<shoulda>, [">= 2.10.2"])
s.add_dependency(%q<mocha>, [">= 0.9.8"])
end
else
s.add_dependency(%q<uuid>, [">= 2.0.2"])
s.add_dependency(%q<resque>, [">= 1.3.1"])
s.add_dependency(%q<redisk>, [">= 0.2.1"])
s.add_dependency(%q<shoulda>, [">= 2.10.2"])
s.add_dependency(%q<mocha>, [">= 0.9.8"])
end
end
Jump to Line
Something went wrong with that request. Please try again.